### Method

# Camel StoreSettings set_store_changes_interval

since: 3.40

#### Declaration [src]

    void
    camel_store_settings_set_store_changes_interval (
      CamelStoreSettings* settings,
      gint interval
    )

#### Description [src]

Sets the interval, in seconds, for the changes in the folder being saved automatically. 0 means immediately, while -1 means turning off automatic folder change saving.

Available since: 3.40

Sets property | `Camel.StoreSettings:store-changes-interval`

#### Parameters

`interval`

  Type: `gint`

  The interval, in seconds.